## rquantlib 0.1.9

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib libraries
Version: 0.1.9
Date: $Date: 2004/05/27 01:57:25 $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> for the R interface, the QuantLib
	group for QuantLib (http://www.quantlib.org/html/group.html)
Description: The RQuantLib packages provides access to (some) of the QuantLib
	functions from within R. It is currently limited to some Option
	pricing and analysis functions.
        The QuantLib project aims to provide a comprehensive software 
        framework for quantitative finance. The goal is to provide a 
	standard free/open source library to quantitative analysts and
	developers for modeling, trading, and risk management of financial
	assets.
        You need to have QuantLib installed in order to use RQuantLib.
Depends: R (>= 1.7.0)
License: GPL Version 2 or later for RQuantLib; QuantLib itself is released
        as Open Source as well
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: Wed May 26 21:23:33 2004; edd

## rquantlib 0.1.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R interface to the QuantLib libraries
-Version: 0.1.9
-Date: $Date: 2004/05/27 01:57:25 $
+Version: 0.1.11
+Date: $Date: 2004/12/22 03:57:28 $
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel <edd@debian.org> for the R interface, the QuantLib
 	group for QuantLib (http://www.quantlib.org/html/group.html)
@@ -13,9 +13,12 @@
 	standard free/open source library to quantitative analysts and
 	developers for modeling, trading, and risk management of financial
 	assets.
-        You need to have QuantLib installed in order to use RQuantLib.
-Depends: R (>= 1.7.0)
+        Note that you need to have both the QuantLib and Boost libraries and
+        header files installed in order to build RQuantLib.
+Depends: R (>= 2.0.0)
+SystemRequirements: QuantLib library from http://quantlib.org, Boost library
+        from http://www.boost.org
 License: GPL Version 2 or later for RQuantLib; QuantLib itself is released
-        as Open Source as well
+        under an Open Source license as well
 URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
-Packaged: Wed May 26 21:23:33 2004; edd
+Packaged: Mon Dec 27 21:43:43 2004; edd

## rquantlib 0.1.12

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib libraries
Version: 0.1.12
Date: $Date: 2005/04/27 02:57:25 $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> for the R interface, the QuantLib
	group for QuantLib (http://www.quantlib.org/html/group.html)
Description: The RQuantLib packages provides access to (some) of the QuantLib
	functions from within R. RQuantLib is currently limited to a few 
	option pricing and analysis functions. Code contributions are
	welcome.
        The QuantLib project aims to provide a comprehensive software 
        framework for quantitative finance. The goal is to provide a 
	standard free/open source library to quantitative analysts and
	developers for modeling, trading, and risk management of financial
	assets.
        Note that you need to have header files for both the QuantLib and 
        Boost libraries installed in order to build RQuantLib.
Depends: R (>= 2.0.0)
SystemRequirements: QuantLib library from http://quantlib.org, Boost library
        from http://www.boost.org
License: GPL Version 2 or later for RQuantLib; QuantLib itself is released
        under an Open Source license as well
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: Tue Apr 26 21:58:25 2005; edd

## rquantlib 0.2.4

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.2.4
Date: $Date: 2006/08/01 02:30:13 $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> with contributions from Dominick Samperi 
Description: The RQuantLib package makes selected parts of QuantLib 
	visible to the R user. Currently some basic option pricing 
	functions are included, as well as fixed-income functions that 
	can be used for interest rate curve construction and Bermuda 
	swaption pricing. Further software contributions are welcome.
	.
	The QuantLib project aims to provide a comprehensive software 
	framework for quantitative finance. The goal is to provide a 
	standard open source library for quantitative analysis,
	modeling, trading, and risk management of financial
	assets.
	.
	The Windows binary version is self-contained and does not require 
	a QuantLib (or Boost) installation. QuantLib and Boost libraries 
	and header files are needed to build RQuantLib from source.
	.
	Parts of RQuantLib use the Rcpp R/C++ interface class library.
	See the RcppTemplate package on CRAN for more information on Rcpp.
Depends: R (>= 2.2.0)
SystemRequirements: QuantLib library from http://quantlib.org, Boost library
	from http://www.boost.org
License: GPL Version 2 or later for RQuantLib; QuantLib itself is released
	under an Open Source license as well (see QuantLib-License.txt).
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html

## rquantlib 0.2.8

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.2.8
Date: $Date: 2007/12/31 01:35:14 $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> with contributions from Dominick Samperi 
Description: The RQuantLib package makes selected parts of QuantLib 
	visible to the R user. Currently some basic option pricing 
	functions are included, as well as fixed-income functions that 
	can be used for interest rate curve construction and Bermuda 
	swaption pricing. Further software contributions are welcome.
	.
	The QuantLib project aims to provide a comprehensive software 
	framework for quantitative finance. The goal is to provide a 
	standard open source library for quantitative analysis,
	modeling, trading, and risk management of financial
	assets.
	.
	The Windows binary version is self-contained and does not require 
	a QuantLib (or Boost) installation. This version of RQuantLib for
        Windows was built using QuantLib 0.8.1 and Boost 1.34.0.
	.
	Parts of RQuantLib use the Rcpp R/C++ interface class library.
	See the RcppTemplate package on CRAN for more information on Rcpp.
        .
	Note that while RQuantLib's code is licensed under the GPL (v2 or
	later), QuantLib itself is released under a somewhat less 
        restrictive Open Source license (see QuantLib-License.txt).
Depends: R (>= 2.5.0)
SystemRequirements: QuantLib library (>= 0.9.0) from http://quantlib.org, 
        Boost library (>= 1.34.0) from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: Sat Jan  5 05:51:38 2008; edd

=== RcppSrc/Makefile ===
include ${R_HOME}/etc${R_ARCH}/Makeconf
SRC = Rcpp.cpp
OBJ = Rcpp.o
LIB = libRcpp.a

.PHONY: all

all: $(LIB)

clean:
	rm -f $(OBJ) $(LIB)

$(OBJ): $(SRC)

$(LIB): $(OBJ)
	ar crs $(LIB) $(OBJ)

## rquantlib 0.3.1

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.3.1
Date: $Date: 2009-12-12 08:25:19 -0600 (Sat, 12 Dec 2009) $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
Description: The RQuantLib package makes parts of QuantLib visible to the R
 user. Currently a number option pricing functions are included, both vanilla
 and exotic, as well as a broad range of fixed-income functions, as well a
 general utilities such as business day calendar computations. Further
 software contributions are welcome.
 .
 The QuantLib project aims to provide a comprehensive software framework for
 quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of
 financial assets.
 .
 The Windows binary version is self-contained and does not require a QuantLib
 (or Boost) installation.
 .
 RQuantLib uses the Rcpp R/C++ interface class library. See the Rcpp package
 on CRAN (or R-Forge) for more information on Rcpp.
 .
 Note that while RQuantLib's code is licensed under the GPL (v2 or later),
 QuantLib itself is released under a somewhat less restrictive Open Source
 license (see QuantLib-License.txt).
Depends: R (>= 2.7.0), Rcpp (>= 0.6.4)
SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, 
 Boost library (>= 1.34.0) from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: 2009-12-12 14:25:33 UTC; edd

## rquantlib 0.3.2

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.3.2
Date: $Date: 2010-01-14 22:09:45 -0600 (Thu, 14 Jan 2010) $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
Description: The RQuantLib package makes parts of QuantLib visible to the R
 user. Currently a number option pricing functions are included, both vanilla
 and exotic, as well as a broad range of fixed-income functions, as well a
 general calendaring and holiday utilities. Further software contributions 
 are welcome.
 .
 The QuantLib project aims to provide a comprehensive software framework for
 quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of
 financial assets.
 .
 The Windows binary version is self-contained and does not require a QuantLib
 (or Boost) installation.
 .
 RQuantLib uses the Rcpp R/C++ interface class library. See the Rcpp package
 on CRAN (or R-Forge) for more information on Rcpp.
 .
 Note that while RQuantLib's code is licensed under the GPL (v2 or later),
 QuantLib itself is released under a somewhat less restrictive Open Source
 license (see QuantLib-License.txt).
Depends: R (>= 2.7.0), Rcpp (>= 0.7.0)
SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, 
 Boost library (>= 1.34.0) from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: 2010-01-15 04:16:01 UTC; edd

## rquantlib 0.3.5

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.3.5
Date: $Date: 2010-11-15 09:48:03 -0600 (Mon, 15 Nov 2010) $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
Description: The RQuantLib package makes parts of QuantLib visible to the R
 user. Currently a number option pricing functions are included, both vanilla
 and exotic, as well as a broad range of fixed-income functions. Also included
 are general calendaring and holiday utilities. Further software contributions 
 are welcome.
 .
 The QuantLib project aims to provide a comprehensive software framework for
 quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of
 financial assets.
 .
 The Windows binary version is self-contained and does not require a QuantLib
 (or Boost) installation.
 .
 RQuantLib uses the Rcpp R/C++ interface class library. See the Rcpp package
 on CRAN (or R-Forge) for more information on Rcpp.
 .
 Note that while RQuantLib's code is licensed under the GPL (v2 or later),
 QuantLib itself is released under a somewhat less restrictive Open Source
 license (see QuantLib-License.txt).
Depends: R (>= 2.10.0), Rcpp (>= 0.8.7)
Suggests: rgl, zoo, RUnit
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, 
 Boost library from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: 2010-11-15 15:54:04.264653 UTC; edd

## rquantlib 0.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R interface to the QuantLib library
-Version: 0.3.5
-Date: $Date: 2010-11-15 09:48:03 -0600 (Mon, 15 Nov 2010) $
+Version: 0.3.7
+Date: $Date: 2011-04-03 16:49:11 -0500 (Sun, 03 Apr 2011) $
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
 Description: The RQuantLib package makes parts of QuantLib visible to the R
@@ -31,4 +31,4 @@
  Boost library from http://www.boost.org
 License: GPL (>= 2)
 URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
-Packaged: 2010-11-15 15:54:04.264653 UTC; edd
+Packaged: 2011-04-03 22:03:32.06459 UTC; edd

## rquantlib 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R interface to the QuantLib library
-Version: 0.3.7
-Date: $Date: 2011-04-03 16:49:11 -0500 (Sun, 03 Apr 2011) $
+Version: 0.3.8
+Date: $Date: 2011-09-11 21:24:54 -0500 (Sun, 11 Sep 2011) $
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
 Description: The RQuantLib package makes parts of QuantLib visible to the R
@@ -31,4 +31,4 @@
  Boost library from http://www.boost.org
 License: GPL (>= 2)
 URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
-Packaged: 2011-04-03 22:03:32.06459 UTC; edd
+Packaged: 2011-09-12 02:25:21.670612 UTC; edd

## rquantlib 0.3.9

=== DESCRIPTION ===
Package: RQuantLib
Title: R interface to the QuantLib library
Version: 0.3.9
Date: $Date: 2012-12-01 13:45:22 -0600 (Sat, 01 Dec 2012) $
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
Description: The RQuantLib package makes parts of QuantLib visible to the R
 user. Currently a number option pricing functions are included, both vanilla
 and exotic, as well as a broad range of fixed-income functions. Also included
 are general calendaring and holiday utilities. Further software contributions 
 are welcome.
 .
  The QuantLib project aims to provide a comprehensive software framework for
 quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of
 financial assets.
 .
  The Windows binary version is self-contained and does not require a QuantLib
 (or Boost) installation.
 .
  RQuantLib uses the Rcpp R/C++ interface class library. See the Rcpp package
 on CRAN (or R-Forge) for more information on Rcpp.
 .
  Note that while RQuantLib's code is licensed under the GPL (v2 or later),
 QuantLib itself is released under a somewhat less restrictive Open Source
 license (see QuantLib-License.txt).
Depends: R (>= 2.10.0), Rcpp (>= 0.8.7)
Suggests: rgl, zoo, RUnit
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, Boost library from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
Packaged: 2012-12-02 17:10:58.258014 UTC; edd

## rquantlib 0.3.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R interface to the QuantLib library
-Version: 0.3.9
-Date: $Date: 2012-12-01 13:45:22 -0600 (Sat, 01 Dec 2012) $
+Version: 0.3.11
+Date: 2014-01-26
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
 Description: The RQuantLib package makes parts of QuantLib visible to the R
@@ -24,10 +24,11 @@
   Note that while RQuantLib's code is licensed under the GPL (v2 or later),
  QuantLib itself is released under a somewhat less restrictive Open Source
  license (see QuantLib-License.txt).
-Depends: R (>= 2.10.0), Rcpp (>= 0.8.7)
+Depends: R (>= 2.10.0)
 Suggests: rgl, zoo, RUnit
+Imports: methods, Rcpp
 LinkingTo: Rcpp
 SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, Boost library from http://www.boost.org
 License: GPL (>= 2)
 URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
-Packaged: 2012-12-02 17:10:58.258014 UTC; edd
+Packaged: 2014-01-27 03:12:21.548993 UTC; edd

## rquantlib 0.3.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R interface to the QuantLib library
-Version: 0.3.11
-Date: 2014-01-26
+Version: 0.3.12
+Date: 2014-03-08
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel <edd@debian.org> and Khanh Nguyen <knguyen@cs.umb.edu>
 Description: The RQuantLib package makes parts of QuantLib visible to the R
@@ -26,9 +26,9 @@
  license (see QuantLib-License.txt).
 Depends: R (>= 2.10.0)
 Suggests: rgl, zoo, RUnit
-Imports: methods, Rcpp
+Imports: methods, Rcpp (>= 0.11.0)
 LinkingTo: Rcpp
 SystemRequirements: QuantLib library (>= 0.9.9) from http://quantlib.org, Boost library from http://www.boost.org
 License: GPL (>= 2)
 URL: http://quantlib.org http://dirk.eddelbuettel.com/code/rquantlib.html
-Packaged: 2014-01-27 03:12:21.548993 UTC; edd
+Packaged: 2014-03-09 14:38:41.814496 UTC; edd

## rquantlib 0.4.2

=== DESCRIPTION ===
Package: RQuantLib
Title: R Interface to the 'QuantLib' Library
Version: 0.4.2
Date: 2015-12-03
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel, Khanh Nguyen (during 2009-2010)
Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
 The 'QuantLib' project aims to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of financial
 assets.
Depends: R (>= 2.10.0)
Suggests: rgl, zoo, RUnit, shiny
Imports: methods, Rcpp (>= 0.11.0), stats, graphics
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 1.4.0) from
        http://quantlib.org, Boost library from http://www.boost.org
License: GPL (>= 2)
URL: http://quantlib.org
        http://dirk.eddelbuettel.com/code/rquantlib.html
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2015-12-03 12:16:36.246924 UTC; edd
Repository: CRAN
Date/Publication: 2015-12-03 16:24:34

## rquantlib 0.4.3

=== DESCRIPTION ===
Package: RQuantLib
Title: R Interface to the 'QuantLib' Library
Version: 0.4.3
Date: 2016-08-19
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel, Khanh Nguyen (during 2009-2010), Terry Leitch (2016)
Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
 The 'QuantLib' project aims to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of financial
 assets.
Depends: R (>= 2.10.0)
Suggests: rgl, RUnit, shiny
LazyLoad: true
Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 1.7.0) from
        http://quantlib.org, Boost library from http://www.boost.org
OS_type: unix
License: GPL (>= 2)
URL: http://dirk.eddelbuettel.com/code/rquantlib.html
BugReports: https://github.com/eddelbuettel/rquantlib/issues
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-08-19 14:52:11.77487 UTC; edd
Repository: CRAN
Date/Publication: 2016-08-19 21:38:47

## rquantlib 0.4.4

=== DESCRIPTION ===
Package: RQuantLib
Title: R Interface to the 'QuantLib' Library
Version: 0.4.4
Date: 2017-11-07
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
 The 'QuantLib' project aims to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of financial
 assets.
Depends: R (>= 2.10.0)
Suggests: rgl, RUnit, shiny
LazyLoad: true
Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 1.8.0) from
        http://quantlib.org, Boost library from http://www.boost.org
OS_type: unix
License: GPL (>= 2)
URL: http://dirk.eddelbuettel.com/code/rquantlib.html
BugReports: https://github.com/eddelbuettel/rquantlib/issues
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-08 01:52:54.620363 UTC; edd
Repository: CRAN
Date/Publication: 2017-11-08 09:53:31 UTC

## rquantlib 0.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.4
-Date: 2017-11-07
+Version: 0.4.7
+Date: 2018-12-10
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -14,14 +14,13 @@
 LazyLoad: true
 Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
 LinkingTo: Rcpp
-SystemRequirements: QuantLib library (>= 1.8.0) from
+SystemRequirements: QuantLib library (>= 1.14) from
         http://quantlib.org, Boost library from http://www.boost.org
-OS_type: unix
 License: GPL (>= 2)
 URL: http://dirk.eddelbuettel.com/code/rquantlib.html
 BugReports: https://github.com/eddelbuettel/rquantlib/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-11-08 01:52:54.620363 UTC; edd
+Packaged: 2018-12-10 11:44:17.240614 UTC; edd
 Repository: CRAN
-Date/Publication: 2017-11-08 09:53:31 UTC
+Date/Publication: 2018-12-10 14:40:06 UTC

=== debian/changelog ===
rquantlib (0.4.7-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Dec 2018 05:37:09 -0600

rquantlib (0.4.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

  * Updated to be made compatible with Boost 1.67 or later

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Nov 2018 10:59:10 -0600

rquantlib (0.4.5-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 Aug 2018 14:02:50 -0500

rquantlib (0.4.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Increase level to 9
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Nov 2017 06:54:43 -0600

rquantlib (0.4.3-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Aug 2016 14:58:51 -0500

rquantlib (0.4.2-3) unstable; urgency=medium

  * Folded in two startup-related changes from upstream
    - R/init.R: Condition check on quantlib-config on its presence
    - R/zzz.R: Correct version comparison
    
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Aug 2016 18:01:09 -0500

rquantlib (0.4.2-2) unstable; urgency=medium

  * Rebuilt against QuantLib 1.8		(Closes: #812286)

  * debian/control: Set Build-Depends: to current QuantLib version
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Jul 2016 13:12:59 -0500

rquantlib (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Dec 2015 19:01:12 -0600

rquantlib (0.4.1-3) unstable; urgency=low

  * Rebuilt under QuantLib 1.7
  * debian/control: Updated Build-Depends: to libquantlib0-dev (>= 1.7)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 24 Nov 2015 20:24:34 -0600

rquantlib (0.4.1-2) unstable; urgency=low

  * debian/control: Add Build-Depends: on libquantlib0-dev (>= 1.6.2-2) to
    ensure Depends: on libquantlib0v5

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Sep 2015 22:12:54 -0500

rquantlib (0.4.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version, current
    QuantLib version and g++ (>= 4:5.2)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Sep 2015 06:43:53 -0500

rquantlib (0.4.0-3) unstable; urgency=low

  * debian/rules: Set builttime spamp thanks to patch by Philipp Rinn
  							(Closes: #783058)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Apr 2015 21:01:44 -0500

rquantlib (0.4.0-2) unstable; urgency=low

  * Rebuilt under QuantLib 1.5
  
  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 21:34:27 -0600

rquantlib (0.4.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Update Standards-Version: 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Dec 2014 06:28:27 -0600

rquantlib (0.3.12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 09 Mar 2014 12:24:43 -0500

rquantlib (0.3.11-3) unstable; urgency=low

  * Rebuilt under QuantLib 1.4
  * debian/control: Updated Build-Depends: to libquantlib0-dev (>= 1.4)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Mar 2014 21:37:48 -0600

rquantlib (0.3.11-2) unstable; urgency=low

  * Rebuilt as required for Rcpp 0.11.0
  * debian/control: Added (Build-)Depends: on r-cran-rcpp (>= 0.11.0-1)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 03 Feb 2014 20:40:17 -0600

rquantlib (0.3.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Jan 2014 20:26:18 -0600

rquantlib (0.3.10-3) unstable; urgency=low

  * (Re-)building with QuantLib 1.3 now in the Debian archive
  
  * debian/control: Set Build-Depends: to current R version 

  * debian/control: Set Build-Depends: to current QuantLib version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Sep 2013 12:19:22 -0500

rquantlib (0.3.10-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Apr 2013 06:04:22 -0500

rquantlib (0.3.10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 18 Feb 2013 07:36:32 -0600

rquantlib (0.3.9-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R + Rcpp versions
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Dec 2012 12:35:13 -0600

rquantlib (0.3.8-2) unstable; urgency=low

  * Rebuilding against QuantLib 1.2
  * debian/control: Update Build-Depends: to current QuantLib version
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Apr 2012 12:59:11 -0500

rquantlib (0.3.8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Sep 2011 08:31:44 -0500



=== debian/control ===
Source: rquantlib
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
Homepage: https://cran.r-project.org/package=RQuantLib

Package: r-cran-rquantlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp (>= 0.11.0), r-cran-zoo
Description: GNU R package interfacing the QuantLib finance library
 This CRAN package provides an interface for GNU R to the QuantLib 
 library for modeling, trading, and risk management of financial assets.

## rquantlib 0.4.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.7
-Date: 2018-12-10
+Version: 0.4.10
+Date: 2019-08-07
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -21,6 +21,6 @@
 BugReports: https://github.com/eddelbuettel/rquantlib/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-12-10 11:44:17.240614 UTC; edd
+Packaged: 2019-08-07 11:56:19.118258 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-12-10 14:40:06 UTC
+Date/Publication: 2019-08-07 13:00:02 UTC

=== debian/changelog ===
rquantlib (0.4.10-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Aug 2019 17:43:12 -0500

rquantlib (0.4.9-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 May 2019 08:13:10 -0500

rquantlib (0.4.8-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Mar 2019 14:06:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.5.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.10
-Date: 2019-08-07
+Version: 0.4.11
+Date: 2020-01-15
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -10,7 +10,7 @@
  for quantitative analysis, modeling, trading, and risk management of financial
  assets.
 Depends: R (>= 2.10.0)
-Suggests: rgl, RUnit, shiny
+Suggests: tinytest, rgl, shiny
 LazyLoad: true
 Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
 LinkingTo: Rcpp
@@ -21,6 +21,6 @@
 BugReports: https://github.com/eddelbuettel/rquantlib/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2019-08-07 11:56:19.118258 UTC; edd
+Packaged: 2020-01-15 01:54:39.253352 UTC; edd
 Repository: CRAN
-Date/Publication: 2019-08-07 13:00:02 UTC
+Date/Publication: 2020-01-15 06:00:02 UTC

=== debian/changelog ===
rquantlib (0.4.11-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:19 +0100

rquantlib (0.4.11-2) unstable; urgency=medium

  * Source-only upload

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Jan 2020 17:44:22 -0600

rquantlib (0.4.11-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jan 2020 08:54:21 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.11
-Date: 2020-01-15
+Version: 0.4.12
+Date: 2020-04-01
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -21,6 +21,6 @@
 BugReports: https://github.com/eddelbuettel/rquantlib/issues
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2020-01-15 01:54:39.253352 UTC; edd
+Packaged: 2020-04-01 17:30:05.464966 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-01-15 06:00:02 UTC
+Date/Publication: 2020-04-02 11:50:06 UTC

=== debian/changelog ===
rquantlib (0.4.12-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Apr 2020 08:23:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.3), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.15

=== DESCRIPTION ===
Package: RQuantLib
Title: R Interface to the 'QuantLib' Library
Version: 0.4.15
Date: 2022-01-19
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
 The 'QuantLib' project aims to provide a comprehensive software framework
 for quantitative finance. The goal is to provide a standard open source library
 for quantitative analysis, modeling, trading, and risk management of financial
 assets.
Suggests: tinytest, rgl, shiny
Imports: methods, Rcpp (>= 0.11.0), stats, graphics, zoo
LinkingTo: Rcpp
SystemRequirements: QuantLib library (>= 1.14) from
        https://quantlib.org, Boost library from https://www.boost.org
License: GPL (>= 2)
URL: https://github.com/eddelbuettel/rquantlib,
        https://dirk.eddelbuettel.com/code/rquantlib.html
BugReports: https://github.com/eddelbuettel/rquantlib/issues
RoxygenNote: 6.0.1
LazyLoad: true
NeedsCompilation: yes
Packaged: 2022-01-20 00:08:53 UTC; edd
Repository: CRAN
Date/Publication: 2022-01-20 08:12:41 UTC

=== debian/changelog ===
rquantlib (0.4.15-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 20 Jan 2022 07:38:13 -0600

rquantlib (0.4.14-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 06 Oct 2021 19:05:59 -0500

rquantlib (0.4.13-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 02 Sep 2021 22:20:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), dh-r, r-base-dev (>= 3.6.3), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.16

=== debian/changelog ===
rquantlib (0.4.16-1) unstable; urgency=medium

  * New upstream release
 
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 05 May 2022 19:37:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.1.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git

## rquantlib 0.4.17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.15
-Date: 2022-01-19
+Version: 0.4.17
+Date: 2022-10-25
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -21,6 +21,6 @@
 RoxygenNote: 6.0.1
 LazyLoad: true
 NeedsCompilation: yes
-Packaged: 2022-01-20 00:08:53 UTC; edd
+Packaged: 2022-10-25 23:32:18 UTC; edd
 Repository: CRAN
-Date/Publication: 2022-01-20 08:12:41 UTC
+Date/Publication: 2022-10-26 00:07:50 UTC

=== debian/changelog ===
rquantlib (0.4.17-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Oct 2022 20:58:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-r, r-base-dev (>= 4.2.0), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.19

=== debian/changelog ===
rquantlib (0.4.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Aug 2023 17:31:39 -0500

rquantlib (0.4.18-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:49:05 -0500

rquantlib (0.4.18-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 01 May 2023 20:19:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-r, r-base-dev (>= 4.2.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.21

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RQuantLib
 Title: R Interface to the 'QuantLib' Library
-Version: 0.4.17
-Date: 2022-10-25
+Version: 0.4.21
+Date: 2024-02-01
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Author: Dirk Eddelbuettel, Khanh Nguyen (2009-2010), Terry Leitch (since 2016)
 Description: The 'RQuantLib' package makes parts of 'QuantLib' accessible from R
@@ -21,6 +21,6 @@
 RoxygenNote: 6.0.1
 LazyLoad: true
 NeedsCompilation: yes
-Packaged: 2022-10-25 23:32:18 UTC; edd
+Packaged: 2024-02-01 23:00:51 UTC; edd
 Repository: CRAN
-Date/Publication: 2022-10-26 00:07:50 UTC
+Date/Publication: 2024-02-01 23:50:15 UTC

=== debian/changelog ===
rquantlib (0.4.21-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Feb 2024 18:42:26 -0600

rquantlib (0.4.20-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Nov 2023 15:16:35 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git

## rquantlib 0.4.22

=== debian/changelog ===
rquantlib (0.4.22-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Apr 2024 06:51:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.2), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git

## rquantlib 0.4.24

=== debian/changelog ===
rquantlib (0.4.24-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 31 Jul 2024 11:00:53 -0500

rquantlib (0.4.23-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 26 Jul 2024 14:03:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.0), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
 Homepage: https://cran.r-project.org/package=RQuantLib

## rquantlib 0.4.25

=== debian/changelog ===
rquantlib (0.4.25-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Mar 2025 08:06:50 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.1), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3), r-cran-rcpp (>= 0.11.0), libquantlib0-dev (>= 1.8), libboost-dev (>= 1.38.1), libboost-test-dev (>= 1.38.1), g++ (>= 4:5.2), r-cran-zoo
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-rquantlib
 Vcs-Git: https://salsa.debian.org/edd/r-cran-rquantlib.git
